Bug 116142 - up2date hangs/stalls on trying to install latest kernel and kernel-source eratta
up2date hangs/stalls on trying to install latest kernel and kernel-source eratta
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-02-18 11:05 EST by Mike Burger
Modified: 2007-04-18 13:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike Burger 2004-02-18 11:05:51 EST
Description of problem:

Upon receiving notification of a new eratta kernel package, I made use
of the (graphical) up2date program to download and install
kernel-2.4.20-30.9 kernel and kernel-source packages.  After
successfully downloading the packages, and clicking "forward", the
installation progress window just sat there, indicating no progress.

After I cancelled the process, I issued the appropriate "rpm -ivh"
command, and received a Failed dependencies message, saying that
/bin/sh was required by both kernel-2.4.20-30.9 and

Of course, /bin/sh does exist on the system, as a symlink to /bin/bash.

Issuing the rpm command with the --nodeps option got around the problem.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Download kernel-2.4.20-30.9.athlon.rpm
2. Issue "rpm -ivh kernel-2.4.20-30.9.athlon.rpm"
Actual results:

Failed dependencies error.

Expected results:

Successful installation of the kernel and kernel-source packages.

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.